Remove Passkey
delete
/v1/auth/passkeys/{passkey_id}Part of Auth.
Remove one passkey after re-authentication (password or fresh assertion). The last passkey of an MFA-required role cannot be removed while enforcement is active.
Authentication
Authenticate with:
- API key in the
X-API-Keyheader.
Path parameters
| Name | Type | Description |
|---|---|---|
passkey_idrequired | string | Passkey Id |
Request body
Required, application/json.
| Field | Type | Description |
|---|---|---|
passwordoptional | string | Current password (password-holding users) |
assertionoptional | object | Fresh WebAuthn assertion from the re-auth ceremony |
Example request
curl
curl -X DELETE "https://api.robosystems.ai/v1/auth/passkeys/{passkey_id}" \
-H "X-API-Key: $ROBOSYSTEMS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"password": "string",
"assertion": {}
}'Responses
200 Successful Response
| Field | Type | Description |
|---|---|---|
successoptional | boolean | Indicates the operation completed successfully Default: |
messagerequired | string | Human-readable success message |
dataoptional | object | Optional additional data related to the operation |
| Status | Meaning |
|---|---|
| 400 | Invalid request |
| 401 | Re-authentication failed |
| 409 | Last passkey of an MFA-required role |
| 422 | Validation Error |
| 429 | Rate limit exceeded |
| 500 | Internal server error |